Introduction

ASCII Art Studio is a powerful ASCII Art editor. It allows you to make your own ASCII Art quickly and easily.

You can use this tool to make cool Email signatures, as well as add creative text graphics to plain text documents.

Features

  • Support text editing and graphic editing.

  • Intelligent freehand drawing.

  • Create Big Text using any installed fonts.

  • Convert between pictures and ASCII Art.

  • Print ASCII Art.

  • View ANSI ASCII Art.

  • Easy used characters panel.

  • Flip and Rotate selection.

  • Multiple undo and redo.

  • Shell integration.

  • Visual Studio .NET-like user interface.


Installation

System Requirements

Windows 98/ME/NT4/2000/XP or higher.

Installation

Run aas_en.exe and follow the instructions.

Uninstallation

Run 'Uninstall' on the ASCII Art Studio Start Menu folder or open 'Add/Remove Programs' in Control Panel and double-click 'ASCII Art Studio' in the list box.


Characters Panel

  • Characters panel is used to choose the foreground character and background character used by every kind of drawing tools in the graphic editing mode.

  • Characters panel contains the 256 characters except the new line character, carriage return character, tab character and null character.

  • The standard printable characters are displayed in light green color. Other characters are displayed in light red color.

  • Use the left mouse button to choose foreground character. Use the right mouse button to choose the background character.

  • If you want the ASCII Art you made can be displayed correctly in common text editor and Internet browser, you may only used the standard printable ASCII characters。


Drawing Tools

Text Mode

ASCII Art Studio is a standard text editor in text editing mode. You can enable the "Column selection" and "Copy on select" in the settings dialog.

Selection Tool

You can use the Selection tool to select a rectangle area. Then you can move, copy, cut and delete the content in the area. If you press Ctrl when you move the selected content, you can keep the old content, which act as copy function.

Properties:

  • Transparent: If you use transparent background, the original characters will not be covered by the blank characters when moving the selected content. Otherwise the original characters will be overwritten.

Freehand Tool

Freehand tool is used to draw freehand line art. The characters are automatically choosed based on the direction of mouse movement.

Brush Tool

Brush tool is used to do freehand painting. The current character will be the foreground character when using left mouse button. The current character will be the background character when using the right mouse button.

Properties:

  • Line Width: the width of the line.

Erase Tool

Erase tool is used to erase and replace. The background character will overwrite the original characters when using the left mouse button. The foreground characters will be replaced by the background character when using the right mouse button.

Properties:

  • Size: the height and the width of the eraser.

Fill Tool

Fill tool is used to fill a closed area. The area will be filled by foreground character when using left mouse button. The area will be filled by background character when using right mouse button.

Pickup Tool

Pickup tool is used to pick up characters from the current graphic to act as the foreground character or the background character. The selected character will be the foreground character when using the left mouse button. The selected character will be the background character when using the right mouse button.

Big Text Tool

Big Text tool is used to draw text composed by characters. The foreground character will be used to draw text when using the left mouse button. The background character will be used to draw text when using the right mouse button.

Properties:

  • Text: the content used to generate the big text.

  • Font: the font used to generate the big text. To change the property of the font, select the font name property, then press the small button at the right.

Line Tool

Line tool is used to draw lines.

Properties:

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to draw lines. The characters are automatically choosed based on the drawing shape.

    • Custom: The foreground character will be used to draw lines when using the left mouse button. The background character will be used to draw lines when using the right mouse button.

  • Line Width: the width of the line.

Curve Tool

Curve tool is used to draw curves.

Drawing curve need four control points. First press the mouse and drag it to get a line. Then press the mouse to locate two control points.

Properties:

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to draw curves. The characters are automatically choosed based on the drawing shape.

    • Custom: The foreground character will be used to draw curves when using the left mouse button. The background character will be used to draw curves when using the right mouse button.

  • Line Width: the width of the line.

Rectangle Tool

Rectangle tool is used to draw rectangles.

Properties:

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to draw rectangles. The characters are automatically choosed based on the drawing shape.

    • Custom: The foreground character will be used to draw rectangle border when using the left mouse button. If the rectangle is solid, the background character will be used to fill the rectangle. The background character and the foreground character will be exchanged when using the right mouse button.

  • Line Width: the border line width of the rectangle.

  • Filled: if the rectangle is solid.

Rounded Rectangle Tool

Rounded Rectangle tool is used to draw rounded rectangles.

Properties:

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to draw rounded rectangles. The characters are automatically choosed based on the drawing shape.

    • Custom: The foreground character will be used to draw rounded rectangle border when using the left mouse button. If the rounded rectangle is solid, the background character will be used to fill the rounded rectangle. The background character and the foreground character will be exchanged when using the right mouse button.

  • Line Width: the border line width of the rounded rectangle.

  • Filled: if the rounded rectangle is solid.

Ellipse Tool

Ellipse tool is used to draw ellipses.

Properties:

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to draw ellipses. The characters are automatically choosed based on the drawing shape.

    • Custom: The foreground character will be used to draw ellipse border when using the left mouse button. If the ellipse is solid, the background character will be used to fill the ellipse. The background character and the foreground character will be exchanged when using the right mouse button.

  • Line Width: the border line width of the ellipse.

  • Filled: if the ellipse is solid.

Table Tool

Table tool is used to create tables.

Properties:

  • Row Count: the row count of the table.

  • Col Count: the column count of the table.

  • Characters: this property is used to set drawing style.

    • Auto: Using line art style to create tables. The characters are standard printable character(+, - and |).

    • Custom: Using table characters in the extended ASCII character set to create tables. If the table is solid, the background character will be used to fill the table when using the left mouse button. The background character and the foreground character will be exchanged when using the right mouse button.

  • Border: the style of the border in custom mode.

  • Grid: the style of the grid in custom mode.

  • Filled: if the table is solid.


Tips

  • In the properties window, if the property have some choosable values, you can get the next available value of a property by double clicking the property name.

  • If you don't need the edit function and only want to browse the ASCII Art, you should check the "Default to read only" in the settings dialog. Then you should close the toolbox, properties window and the characters panel.

  • You must choose a rectangle area using Selection tool before you use the Flip/Rotate function.


FAQ

What is ASCII character set?

ASCII stands for "American Standard Code for Information Interchange". The ASCII character set is a set of 128 characters (0 to 127) which are standard on almost all types of computer.

What is extended ASCII character set?

The extended ASCII character set includes the ASCII character set and 128 other characters (128 to 255) for graphics and line drawing, often called the "IBM character set".

What is ASCII Art?

ASCII art is any kind of pictures or diagrams drawn with the characters in the ASCII character set. Normally, ASCII Art should only contain printable characters (32 to 126) in the ASCII character set.

What is ASNI ASCII art?

ANSI ASCII art are ASCII art colorized with ANSI control sequences. Some simple animation is possible with ANSI art, too. They are used mainly in BBS.


Support

Homepage

If you want to get the latest information about ASCII Art Studio, please visit our homepage on the web. You can also download latest version of ASCII Art Studio at our homepage.
http://www.torchsoft.com

Feedback

Please send any bug report, suggestion, question and comment to the author at following address.
support@torchsoft.com

If you want to report a bug please provide the following information:

  • Can you reproduce the bug? If so, please describe the steps that lead to the error you're encountering. Be as precise as possible.

  • Which version of ASCII Art Studio are you using?

  • Which version of Windows are you using?

  • If an error message was displayed, please quote the exact content of that message.


Registration

ASCII Art Studio is NOT a free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

Benefits for registered users

  • Free updates in the lifetime of this product.
  • Free technical support by e-mail.

  • By registering ASCII Art Studio you are supporting the further development of this software.